ISXEVE - Bug #1241

Incorrect ltem.Quantity when item moves to hangar from cancelled order
2014-10-16 01:04 PM - Ramzeth

Status: Closed

Priority: Normal
Assignee: Amadeus
Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description
Steps to reproduce:

1. Put part of items from stack to sell order. Example - initial stack is 15 "Defective Current Pump", place 10 of them to sell order.

2. Move other part of stack to ship cargo. Example - move 5 of remaining "Defective Current Pump" to cargohold

3. Undock, and then dock again.

4. Move items from ship cargo to station hangar. Example - move 5 of "Defective Current Pump" to station hangar.

5. Cancell initial sell order. Example - cancell previously placed sell order of 10 "Defective Current Pump".

6. Stack hangar items.

7. Despite number the items showed in hangar in GUI, next script shows only a quantity of items previously being in cargohold.
Me:GetHangarltems[Hangarltems]
for (i:Set[1]; ${i} <= ${Hangarltems.Used}; i:Inc)

{
if ${Hangarltems.Get[${i}].Name.EqualCS["Defective Current Pump"]}

{
echo ${Hangarltems.Get[${i}].Name} ${Hangarltems.Get[${i}]. Quantity}

}
}

Example: "Defective Current Pump 5", while there are 15 in hangar

History

#1 - 2014-10-16 01:07 PM - Amadeus
- Priority changed from High to Normal

| will test this and see what | can find out. If | had to guess it's a caching issue.

#2 - 2014-10-16 01:13 PM - Ramzeth

Also when after all that operations you move this stack from one place to another (example - to ship cargo and back), quantity becomes as it should
be.

#3 - 2014-10-16 01:29 PM - rogeruk

Dunno if any help but confirmed, tried it and exactly as Ramzeth has explained.
| used:

function main()

variable index:item Myltems
variable iterator Cargolterator

if 1${Me.InStation}
{
echo "Must be docked"
return

}

EVE:Execute[OpenHangarFloor]
Wait 3

Me:GetHangarltems[Myltems]
Myltems:Getlterator[Cargolterator]

if ${Cargolterator:First(exists)}
do

{

echo "ltem ${Cargolterator.Value.Name} - ${Cargolterator.Value.Quantity}";

}

while ${Cargolterator:Next(exists)}

#4 - 2014-10-16 07:24 PM - Amadeus
- File ISXEVE.dIl added

- Status changed from New to Feedback Required

Please test the attached ISXEVE.dII and let me know if it fixes the issue or has any effect one way or another.

#5 - 2014-10-17 11:02 AM - Ramzeth

1. 1 Copied DIl to C:\Program Files (x86)\InnerSpace\Extensions\ISXDK34, replacing the old one.
2. Start InnerSpace.
3. Start default eve profile
But it seems there is no effect, things not changed.
#6 - 2014-10-17 12:00 PM - rogeruk
Amadeus wrote:
Please test the attached ISXEVE.dIl and let me know if it fixes the issue or has any effect one way or another.

Version: 20141001.0026 ?
Still the same issue if so

#7 - 2014-10-17 01:13 PM - Amadeus

Can anyone find another way to duplicate this bug (that's perhaps more simple?) Or, is following those 6 steps in the initial posting the only way
anyone has found to create this particular phenomenon?

#8 - 2014-10-17 02:07 PM - CyberTech

Rogeruk, does closing and re-opening the cargo solve the issue, or only re-stacking.

#9 - 2014-10-17 02:20 PM - rogeruk
CyberTech wrote:
Rogeruk, does closing and re-opening the cargo solve the issue, or only re-stacking.

Nope, closing and reopening the item hangar does nothing.

It seems to only happen when you undock/dock because if you simply add item to market, run the script, and then cancel order and re-run script, it
picks up the correct values.

#10 - 2014-10-21 08:09 AM - Ramzeth

Is there any news about this issue ?

#11 - 2014-10-21 06:40 PM - Amadeus
- Status changed from Feedback Required to In Progress

#12 - 2015-03-13 11:40 AM - Turist

Problem gets deeper. ltem quantity stays the same after: moving to ship cargo part of item stack, selling part of item stack, using in industry part of
item stack. And earlier after redock item quantity becomes correct, but now it becomes only after relog. Is there any ideas how to solve this issue ?

Update: after moving to ship cargo and back quantity becomes correct too.

#13 - 2015-03-19 11:11 AM - Turist

Any comments ?

#14 - 2015-04-04 02:49 PM - Amadeus

This will probably have to wait until the summer when | have more time to work on it. ~ And, even then it's fairly low priority. People have been doing
market scripts for years and this has never been a concern. So, either they aren't experiencing this bug, or they have designed their scripts so that
the item quantity is not vital to the success of the script after the order has been cancelled.

The code that ISXEVE uses for item.quantity is very simple, so that means that this is not something that would be easily fixable. In fact, it could very
well be a bug within the game code itself that shows itself only because we're doing something the devs never tested with the client.

From what | can see in this thread, the way to duplicate this bug is pretty complex, involving docking/undocking, etc.. No one has provided a simple
way to recreate the bug, as | have requested. My suggestion is avoid the situation that causes the bug.

Anyway, as | said, people been using market scripts for years without issues, probably because they kept it simple. [ think that it's possible to do
quite a bit with the market without hitting the specific set of circumstances that cause this bug. Think outside the box or keep it simple. I'll look into
it more when/if | have time; however, for now, | make no promises on when it might be addressed (if ever.) At this point, I'm not even sure if it IS an
isxeve bug...or if it's just that we're doing something that is showcasing an EVE bug that | cannot fix.

#15 - 2018-04-28 08:59 PM - Amadeus

- Status changed from In Progress to Closed

Files

ISXEVE.dII 3.98 MB 2014-10-17 Amadeus
